Foros del Web » Programación » Programación General »

problema de instalacion

Estas en el tema de problema de instalacion en el foro de Programación General en Foros del Web. Hola! hace tiempo tenia instalado ruby on rails en mi macbook pro un dia dejo de andar cuando intentaba instalar rvm. la cosa es que ...
  #1 (permalink)  
Antiguo 27/04/2012, 14:25
Avatar de Ferdinand1945  
Fecha de Ingreso: noviembre-2010
Ubicación: Estocolmo
Mensajes: 35
Antigüedad: 3 años, 5 meses
Puntos: 1
Pregunta problema de instalacion

Hola! hace tiempo tenia instalado ruby on rails en mi macbook pro un dia dejo de andar cuando intentaba instalar rvm. la cosa es que ahora no puedo instalarlo bajo ningun concepto, me da todo tipo de errores por ejemplo si quiero correr rails me dice: Rails is not currently installed on this system. To get the latest version, simply type:

$ sudo gem install rails
y por mas que trate de instalar rails otra y otra vez me da el mismo problema, probe instalando rvm, pero tambien me da un tipo de error, mi pregunta solamente es, si desinstalo todo y reinstalo, tengo chances? y como desinstalo todo? la cosa tmb es que si escribo ruby -v me dice:
MacBook-Pro-de-Fernando-Lopez:~ fernando$ ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin10.0]

y con rails -v:

Rails is not currently installed on this system. To get the latest version, simply type:

$ sudo gem install rails

pero con rvm:
rvm 1.13.0 (stable) by Wayne E. Seguin <[email protected]>, Michal Papis <[email protected]> [https://rvm.io/]

por mas que intento instalar diferentes versiones de rvm.. errores pordoquier.

Perdon si fue demasiado largo, pero si hay alguna solucion tipo empezar de 0 acepto cualquier y digo enserio, cualquier tipo de sugerencia.

Desde ya muchas gracias a todos los que se hayan tomado el tiempo de leer todo o parte de esto!!!
  #2 (permalink)  
Antiguo 01/05/2012, 02:43
 
Fecha de Ingreso: junio-2011
Ubicación: Mexico
Mensajes: 33
Antigüedad: 2 años, 10 meses
Puntos: 4
Respuesta: problema de instalacion

La versión de ruby que encuentra tu shell es la versión por defecto que trae la mac.

A mi parecer lo mejor es desinstalar rvm. Yo fui usuario asiduo pero lo dejé por rbenv.
  #3 (permalink)  
Antiguo 01/05/2012, 03:54
Avatar de Ferdinand1945  
Fecha de Ingreso: noviembre-2010
Ubicación: Estocolmo
Mensajes: 35
Antigüedad: 3 años, 5 meses
Puntos: 1
Respuesta: problema de instalacion

Gracias por la pronta respuesta! como hago para desinstalar rvm? y despues de desinstalar rvm instalo rails? o rbenv?
  #4 (permalink)  
Antiguo 02/05/2012, 03:15
Avatar de Ferdinand1945  
Fecha de Ingreso: noviembre-2010
Ubicación: Estocolmo
Mensajes: 35
Antigüedad: 3 años, 5 meses
Puntos: 1
Respuesta: problema de instalacion

Hola y muchas gracias a todos los que me ayudaron en este problema en foros del web (cada una de las sugerencias que me dieron fueron muy utiles), a ver si con esto le soluciono la vida a algun nuevito en ruby on rails como yo que se esta pasando horas y rompiendose el coco tratando de solucionar este error... yo actualize a X code 4 (este fue mi principal error, tenia una version de xcode inferior) y segui estos pasos:

$ rvm get head && rvm reload
$ rvm install 1.9.3
$ rvm use 1.9.3@current --create --default

para ver si quedo bien instalado:

$ gem update --system 1.8.24

(te puede decir que tenes una version superior, lo cual ami no me dio ningun problema)
de ahi instalar rails:

$ gem install rails -v 3.2.3
y listo, porsupuesto de aca a que quieran usar rvm 1.8.7 (como yo) simplemente es instalarlo con: rvm install 1.8.7

para ver que todo quedo bien:
$ rvm -v (para rvm version)
$ ruby -v (para ver que version de ruby estoy usando)
$ rails -v (para ver que version de rails estoy usando)

Etiquetas: 1.8.7, dee, inconvenientes, instalación, onn, rails, ruby, rvm
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 02:26.
SEO by vBSEO 3.3.2